Apis::V4::PeopleSearch API

search people by email address

Parameters

Name Description
access_token JSON Web Token retrieved from the Sessions endpoint (you can also passthis into the Authorization header)
q search string, the system will try to search by first and last name, or email address if you include a '@'
limit max number of people to return. Defaults to 10.
organization_ids (optional) only look in these organizations
fields hash of fields you want for model types. the person type will default to these fields: first_name,last_name,gender,primary_email_address. But you could request picture if you want to receive that as well.

Request

Headers

Version: HTTP/1.0
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxMzgsImV4cCI6MTc5NDU0MDIyMiwiaWF0IjoxNzk0NTQwMDQyfQ.wJ5JwD-lnE-3cLnH3MMTGgq7wjgDF0YcYBgFKWV5e0s
Host: example.org
Cookie: 

Route

GET /apis/v4/search?q=bad%40

Query Parameters

q=bad@

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/vnd.api+json
Vary: Accept
X-MH-Session: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxMzgsImV4cCI6MTc5NDcxMjg0MywiaWF0IjoxNzk0NTQwMDQzfQ.bt8dztAtiCKGF3o3GfebfCNnzkrGBGH1pHIkhrVC9HI
Access-Control-Expose-Headers: X-MH-Session
ETag: W/"b9f2a74caeab39ea5261784cd1eaa241"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: 7e719648-8eda-49d7-987b-1a2ae24abbb2
X-Runtime: 0.076157
Content-Length: 1097

Status

200

Body